Storage Management/Data Storage APIs
GETData Storage APIsSince 0.6SynchronousAuth Required
Query Mini Storage
Query Mini Storage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
This API requires no request parameters.
Responses
Endpoint
GET/zstack/v1/primary-storage/mini
/zstack/v1/primary-storage/mini
Request Example
curl -X GET 'http://{host}/zstack/v1/primary-storage/mini' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "miniStorageType": "Basic", "uuid": "aa25b07260403bbba2987e8421fedd1a", "name": "test primary storage", "description": "test primary storage description", "availableCapacity": 1073741824, "availablePhysicalCapacity": 1073741824, "type": "MiniStorage", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }Change History
This API has no change history records yet.
